For AI agents: A markdown version of this page is available at https://docs.datadoghq.com/byoc-logs/ingest/api.md. A documentation index is available at /llms.txt.

Send logs to BYOC Logs with REST API

This product is not supported for your selected Datadog site. ().

Overview

You can send logs to BYOC (Bring Your Own Cloud) Logs using direct REST API calls. This method is useful for custom integrations or scripts that can’t use a Datadog Agent or Observability Pipelines.

Datadog Logs API

Endpoint: POST /api/v2/logs
Content-Type: application/json
Authentication: Datadog API key

curl -X POST "http://<RELEASE_NAME>-indexer.<NAMESPACE_NAME>.svc.cluster.local:7280/api/v2/logs" \
  -H "Content-Type: application/json" \
  -H "DD-API-KEY: your-datadog-api-key" \
  -d '[
    {
      "message": "User login successful",
      "level": "info",
      "timestamp": "2024-01-15T10:30:00Z",
      "service": "auth-service",
      "host": "web-01",
      "tags": ["authentication", "success"]
    }
  ]'

Further reading